Subject: Re: X11 warnings and mwm under b18
From: [email-masked] (Arlindo da Silva)

30 Oct 1997 15:43:23 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Pasa Guglielmo)
Cc: [email-masked]

Dear Pasa,

> As I compiled lesstif-0.81 I noticed a lot of warnings coming from
> Xlib.h and other header files. Is there a fix for it or
> is it a benign syndrom.
> 
> Is there a mean to make mwm compile correctly ?

About 6 months ago I was able to build mwm and ran it under the MI/X server.
It took more memory than I had to spare, and it wasn't particularly fast.
Another option is fvwm: it has the the look-and-feel of mwm and uses much less
resources than mwm. If you search the mailing archives you will find
some info about fvwm ports to gnuwin32.

Regarding the warnings from Xlib.h. I usually don't get any when
compiling my X applications. Which compiler options are you using?
Do you have the warning level set to -pedantic?

-- 
Arlindo da Silva    
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".